Board index FlightGear Support Compiling

In Ubuntu 16.10 I can not compile FGRUN

Building FlightGear from source, and in the need for help?

In Ubuntu 16.10 I can not compile FGRUN

Postby abassign » Tue Oct 25, 2016 9:38 pm

I try this command:

./download_and_compile.sh FGRUN

With the 4.16 version of Ubuntu compile the program properly, instead with the 10.16 version gives me this error:

Code: Select all

./download_and_compile.sh FGRUN
VERSION=2.33
APT_GET_UPDATE=y
DOWNLOAD_PACKAGES=y
COMPILE=y
RECONFIGURE=y
DOWNLOAD=y
JOPTION=
OOPTION=
DEBUG=
***********************************
DIRECTORY= /home/abassign/fgfs
***********************************
****************************************
**************** FGRUN *****************
****************************************
-- version is 2016 dot 4
-- ignoring: \\.svn;Makefile.am;~$;
-- Boost version: 1.61.0
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.8")
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so 
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found FLTK: fltk_images;fltk_forms;fltk_gl;/usr/lib/x86_64-linux-gnu/libGL.so;fltk 
-- Found osgText: /usr/lib/x86_64-linux-gnu/libosgText.so 
-- Found osgDB: /usr/lib/x86_64-linux-gnu/libosgDB.so 
-- Found osgParticle: /usr/lib/x86_64-linux-gnu/libosgParticle.so 
-- Found osgUtil: /usr/lib/x86_64-linux-gnu/libosgUtil.so 
-- Found osgViewer: /usr/lib/x86_64-linux-gnu/libosgViewer.so 
-- Found osgGA: /usr/lib/x86_64-linux-gnu/libosgGA.so 
-- Found osg: /usr/lib/x86_64-linux-gnu/libosg.so 
-- Found OpenThreads: /usr/lib/x86_64-linux-gnu/libOpenThreads.so 
-- Found OpenSceneGraph: /usr/lib/x86_64-linux-gnu/libosgText.so;/usr/lib/x86_64-linux-gnu/libosgDB.so;/usr/lib/x86_64-linux-gnu/libosgParticle.so;/usr/lib/x86_64-linux-gnu/libosgUtil.so;/usr/lib/x86_64-linux-gnu/libosgViewer.so;/usr/lib/x86_64-linux-gnu/libosgGA.so;/usr/lib/x86_64-linux-gnu/libosg.so;/usr/lib/x86_64-linux-gnu/libOpenThreads.so (found suitable version "3.2.3", minimum required is "2.8.1")
-- SimGear include directory: /home/abassign/fgfs/install/simgear/include
-- found SimGear version: 2016.4.0 (needed 2016.4.0)
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE 
-- looking for static SimGear libraries
-- Looking for clock_gettime in rt
-- Looking for clock_gettime in rt - found
-- found SimGear libraries
-- Performing Test SIMGEAR_COMPILE_TEST
-- Performing Test SIMGEAR_COMPILE_TEST - Success
-- Found SimGear: optimized;/home/abassign/fgfs/install/simgear/lib/libSimGearScene.a;debug;/home/abassign/fgfs/install/simgear/lib/libSimGearScene.a;optimized;/home/abassign/fgfs/install/simgear/lib/libSimGearCore.a;debug;/home/abassign/fgfs/install/simgear/lib/libSimGearCore.a;optimized;/home/abassign/fgfs/install/simgear/lib/libSimGearCore.a;debug;/home/abassign/fgfs/install/simgear/lib/libSimGearCore.a (Required is at least version "2016.4.0")
-- Could NOT find Gettext (missing:  GETTEXT_MSGMERGE_EXECUTABLE GETTEXT_MSGFMT_EXECUTABLE)
-- Looking for unistd.h
-- Looking for unistd.h - found
-- Looking for stdlib.h
-- Looking for stdlib.h - found
-- Looking for sys/wait.h
-- Looking for sys/wait.h - found
-- Looking for termios.h
-- Looking for termios.h - found
-- Looking for pty.h
-- Looking for pty.h - found
-- Looking for utmp.h
-- Looking for utmp.h - found
-- Looking for fcntl.h
-- Looking for fcntl.h - found
-- Looking for string.h
-- Looking for string.h - found
-- Looking for openpty
-- Looking for openpty - not found
-- Looking for openpty
-- Looking for openpty - found
-- Looking for login_tty
-- Looking for login_tty - found
-- Looking for _getpty
-- Looking for _getpty - not found
-- Found X11_Xinerama...
-- Found X11_Xft...
-- Using FLTK_LIBRARIES for fgrun: fltk_images;fltk_forms;fltk_gl;/usr/lib/x86_64-linux-gnu/libGL.so;fltk;/usr/lib/x86_64-linux-gnu/libSM.so;/usr/lib/x86_64-linux-gnu/libICE.so;/usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libm.so;/usr/lib/x86_64-linux-gnu/libXinerama.so;/usr/lib/x86_64-linux-gnu/libXft.so;dl
-- Performing Test HAVE_FLTK_1_3
-- Performing Test HAVE_FLTK_1_3 - Success
-- Configuring done
-- Generating done
-- Build files have been written to: /home/abassign/fgfs/build/fgrun
MAKE fgrun
[ 11%] Built target Wizard
[ 22%] Built target Advanced
[ 75%] Built target fgrun
[ 77%] Generating de.gmo
/bin/sh: 1: GETTEXT_MSGMERGE_EXECUTABLE-NOTFOUND: not found
po/CMakeFiles/translations_1.dir/build.make:69: recipe for target 'po/de.gmo' failed
make[2]: *** [po/de.gmo] Error 127
CMakeFiles/Makefile2:262: recipe for target 'po/CMakeFiles/translations_1.dir/all' failed
make[1]: *** [po/CMakeFiles/translations_1.dir/all] Error 2
Makefile:138: recipe for target 'all' failed
make: *** [all] Error 2
INSTALL fgrun
[ 11%] Built target Wizard
[ 22%] Built target Advanced
[ 75%] Built target fgrun
[ 77%] Generating de.gmo
/bin/sh: 1: GETTEXT_MSGMERGE_EXECUTABLE-NOTFOUND: not found
po/CMakeFiles/translations_1.dir/build.make:69: recipe for target 'po/de.gmo' failed
make[2]: *** [po/de.gmo] Error 127
CMakeFiles/Makefile2:262: recipe for target 'po/CMakeFiles/translations_1.dir/all' failed
make[1]: *** [po/CMakeFiles/translations_1.dir/all] Error 2
Makefile:138: recipe for target 'all' failed
make: *** [all] Error 2
***********************************



The compiler not find the module:

-- Looking for openpty - not found

but I do not know what is this an what do in the program...
I hope someone can give me an idea to solve the problem.
abassign
 
Posts: 696
Joined: Mon Feb 27, 2012 5:09 pm
Location: Bergamo - Italy (living 5 Km from airport LIME)
Callsign: I-BASSY
Version: 2016.3
OS: Linux Mint 17. x

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby wkitty42 » Tue Oct 25, 2016 11:07 pm

-- Could NOT find Gettext (missing: GETTEXT_MSGMERGE_EXECUTABLE GETTEXT_MSGFMT_EXECUTABLE)

is your actual error... not the openpty thing... do you have the gettext development libraries installed?
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4302
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby abassign » Wed Oct 26, 2016 8:13 am

Perfect I resolve the problem, I install: gettext-base and recompile with FGRUN param.

At this point I think there is a certain level of non-compatibility of the program: "download_and_compile.sh" with the version 16.10 Ubuntu/Kubuntu installed from scratch.
abassign
 
Posts: 696
Joined: Mon Feb 27, 2012 5:09 pm
Location: Bergamo - Italy (living 5 Km from airport LIME)
Callsign: I-BASSY
Version: 2016.3
OS: Linux Mint 17. x

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby wkitty42 » Wed Oct 26, 2016 11:13 pm

i don't doubt that... plus there's a new addition to dnc to add cmake for older systems that don't have cmake v3.0...

was this gettext-base the only thing you had to add?? and only for FGRun, right? you are aware that FGRun is deprecated and no longer maintained by anyone, right?
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4302
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby abassign » Thu Oct 27, 2016 6:00 am

wkitty42 wrote in Wed Oct 26, 2016 11:13 pm:i don't doubt that... plus there's a new addition to dnc to add cmake for older systems that don't have cmake v3.0...
was this gettext-base the only thing you had to add?? and only for FGRun, right? you are aware that FGRun is deprecated and no longer maintained by anyone, right?


I know that FGRun is deprecated but there is a better alternative ?
I do not find it, you can recommend to me a good alternative, and especially that it works in Linux ?
abassign
 
Posts: 696
Joined: Mon Feb 27, 2012 5:09 pm
Location: Bergamo - Italy (living 5 Km from airport LIME)
Callsign: I-BASSY
Version: 2016.3
OS: Linux Mint 17. x

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby wkitty42 » Thu Oct 27, 2016 12:09 pm

--launcher ;)
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4302
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby Amarildojr » Thu Nov 10, 2016 5:44 pm

FGRun > Launcher
all day hehehehehehehe
Amarildojr
 
Posts: 94
Joined: Sat Jan 02, 2016 10:32 pm
Location: Basil
Callsign: TAM91
OS: Arch Linux

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby wkitty42 » Thu Nov 10, 2016 6:34 pm

i do hope that everyone is aware that FGRun is deprecated and will be removed from the FGFS distribution at some point... there is no maintainer for FGRun and the --launcher provides the same capabilities as an integrated part of the FGFS binary...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4302
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby Amarildojr » Thu Nov 10, 2016 6:44 pm

I know, it's just that it brings so much nostalgia to when I first got introduced fo FlightGear :(
I had bought a magazine with FG in it, I guess it was 13-15 years ago.

That's why I prefer FGRun.
Amarildojr
 
Posts: 94
Joined: Sat Jan 02, 2016 10:32 pm
Location: Basil
Callsign: TAM91
OS: Arch Linux

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby wkitty42 » Thu Nov 10, 2016 7:20 pm

i'll be the first to admit that i used FGRun when i first found FG almost two years ago... the best thing it taught me was the command line format which is also the same format as .fgfsrc and the additional settings box in --launcher... plus the --launcher implementation allows for comments so you can list why a certain option is used as well as commenting out options for testing and such... the '#' is the comment character for those that don't know ;)
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4302
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: In Ubuntu 16.10 I can not compile FGRUN

Postby Johan G » Thu Nov 10, 2016 7:26 pm

I guess there is a point in taking screenshots for nostalgia and posterity. ;)
Low-level flying — It's all fun and games till someone looses an engine. (Paraphrased from a YouTube video)
Improving the Dassault Mirage F1 (Wiki, Forum, GitLab. Work in slow progress)
Johan G
Moderator
 
Posts: 5276
Joined: Fri Aug 06, 2010 5:33 pm
Location: Sweden
Callsign: SE-JG
IRC name: Johan_G
Version: 3.0.0
OS: Windows 7, 32 bit


Return to Compiling

Who is online

Users browsing this forum: No registered users and 1 guest